import { join, resolve } from "path";
export function getProjectPaths(path) {
    let packageJsonPath = path;
    let tsConfigPath = path;
    if (path.endsWith(".json")) {
        tsConfigPath = path;
        packageJsonPath = join(path, "..", "package.json");
        path = join(path, "..");
    }
    else {
        tsConfigPath = join(path, "tsconfig.json");
        packageJsonPath = join(path, "package.json");
    }
    return {
        directory: resolve(path),
        packageJsonPath,
        tsConfigPath,
    };
}
//# sourceMappingURL=getProjectPaths.js.map